http://qs321.pair.com?node_id=421673

ghettofinger has asked for the wisdom of the Perl Monks concerning the following question:

Gentle Monks,

I am currently trying to use the everything development engine (1.0.2pre-10) to stand up a perlmonks-like site that is dedicated to security topics. I have installed the everything development engine various times on Debian and the initial install goes very well. I would like to install the experience nodeball along with ElistAndModerate but they are version .8 nodeballs and currently donít work with version 1.0. I have a couple of questions:

I am on the everything mailing list as well, but I thought I would ask here since perlmonks is successfully using all of the nodeballs that I have questions about. I appreciate any and all help.

Thank you,
ghettofinger

Retitled by davido.

Replies are listed 'Best First'.
Re: Help with Everything Engine
by chromatic (Archbishop) on Jan 12, 2005 at 18:46 UTC

    Perl Monks uses a modified version of 0.80, which isn't really compatible with the 1.0 snapshots. I think the ElistAndModerate nodeball came from Perl Monks and I know it used to work with 0.90. I wouldn't recommend installing or using Everything 0.80 because there's no documentation and I don't know anyone who really remembers what it's like.

    If you have time, I think your best option is to post what breaks in ElistAndModerate to the everydevel-opers list so that people there can help you debug it.

      It would be interesting to see how far the current code base has moved from Everything 0.8. It would also be interesting to see how much of the custom code developed here is portable to the other Everything instances.

      ---
      demerphq

      I allways had the feeling that Perl Monks used a modified wiki. Allways nice to know what is the technique used behind a site like this.
      (or could i have read this somewere?).
        There's a link at the bottom of every page: "This page brought to you by the kind folks at The Everything Development Company" ;)
Re: Help with Everything Engine
by YetAnotherDave (Beadle) on Jan 13, 2005 at 15:36 UTC
    Somewhat related - what hardware/OS/etc is PerlMonks running on? Seems like a FAQ, but I didn't see it in the list...

    Seems to me that ghettofinger might want to know if there are requirements for anything one might not normally spec in a server (or more of something in particular). I didn't see a minimum HW recommendation on everydevel.com either, btw.

    In other news, I hope ghettofinger posts the URL for (his|her) site here, I for one would be interested in checking it out...

      The site isn't even close to being up but when it is I will let everyone know.

      I am not worried about hardware requirements or operating system issues/dependencies at all. Jay Bonci and everyone else involved have done a great job at debian packaging and documentation. The everything engine works very well and is very intuitive. I have installed it four or five times to play with and it always installs with no issues.


      ghettofinger